using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Core.API;

namespace ReallifeGamemode.Server.Core.RageMP
{
  public class RageMarkerAPI : IMarkerAPI
  {
    public IMarker CreateMarker(Types.MarkerType markerType, Position position, Position direction, Position rotation, float scale, API.Color color)
    {
      Marker rageMarker = NAPI.Marker.CreateMarker(
        (int)markerType,
        position.ToVector3(),
        direction.ToVector3(),
        rotation.ToVector3(),
        scale,
        color.ToColor());

      return new RageMarker(rageMarker);
    }
  }
}
